# Uses of Enum Class
org.bukkit.HeightMap

Packages that use HeightMap
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.generator
Classes to facilitate `world` generation implementation.

## Uses of HeightMap in org.bukkit

Methods in org.bukkit that return HeightMap
Modifier and Type
Method
Description
`static HeightMap`
HeightMap.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HeightMap[]`
HeightMap.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit with parameters of type HeightMap
Modifier and Type
Method
Description
`@NotNull Block`
World.`getHighestBlockAt(int x, int z, @NotNull HeightMap heightMap)`
Gets the highest block corresponding to the `HeightMap` at the given coordinates.
`@NotNull Block`
World.`getHighestBlockAt(@NotNull Location location, @NotNull HeightMap heightMap)`
Gets the highest block corresponding to the `HeightMap` at the given coordinates.
`int`
World.`getHighestBlockYAt(int x, int z, @NotNull HeightMap heightMap)`
Gets the highest coordinate corresponding to the `HeightMap` at the given coordinates.
`int`
World.`getHighestBlockYAt(@NotNull Location location, @NotNull HeightMap heightMap)`
Gets the highest coordinate corresponding to the `HeightMap` at the given `Location`.
`@NotNull Location`
Location.`toHighestLocation(@NotNull HeightMap heightMap)`
Returns a copy of this location except with y = getWorld().getHighestBlockYAt(this.getBlockX(), this.getBlockZ(), heightMap)

## Uses of HeightMap in org.bukkit.generator

Methods in org.bukkit.generator with parameters of type HeightMap
Modifier and Type
Method
Description
`int`
ChunkGenerator.`getBaseHeight(@NotNull WorldInfo worldInfo, @NotNull Random random, int x, int z, @NotNull HeightMap heightMap)`
This method is similar to `World.getHighestBlockAt(int, int, HeightMap)`.